package com.ssj.bean.sys.fx.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "fx_device_parts_act")
public class DevicePartsAct extends BaseEntity {
	
    private static final long serialVersionUID = 1L;

    private String partsId;
    
    private Integer matchNum;
    
    private String fromMerchantId;
    
    private String toMerchantId;
    
    private String operatorAdminId;
    
	private String emsNumber;
	
	private String emsAddress;
	
	private String emsUsername;
	
	private String emsTelephone;
    
    private String remarks;
    
    private Date createTime;

    private Integer type; //1分配记录 2核销记录

	

	public Integer getMatchNum() {
		return matchNum;
	}

	public void setMatchNum(Integer matchNum) {
		this.matchNum = matchNum;
	}

	public String getPartsId() {
		return partsId;
	}

	public void setPartsId(String partsId) {
		this.partsId = partsId;
	}

	public String getFromMerchantId() {
		return fromMerchantId;
	}

	public void setFromMerchantId(String fromMerchantId) {
		this.fromMerchantId = fromMerchantId;
	}

	public String getToMerchantId() {
		return toMerchantId;
	}

	public void setToMerchantId(String toMerchantId) {
		this.toMerchantId = toMerchantId;
	}

	public String getOperatorAdminId() {
		return operatorAdminId;
	}

	public void setOperatorAdminId(String operatorAdminId) {
		this.operatorAdminId = operatorAdminId;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getEmsNumber() {
		return emsNumber;
	}

	public void setEmsNumber(String emsNumber) {
		this.emsNumber = emsNumber;
	}

	public String getEmsAddress() {
		return emsAddress;
	}

	public void setEmsAddress(String emsAddress) {
		this.emsAddress = emsAddress;
	}

	public String getEmsUsername() {
		return emsUsername;
	}

	public void setEmsUsername(String emsUsername) {
		this.emsUsername = emsUsername;
	}

	public String getEmsTelephone() {
		return emsTelephone;
	}

	public void setEmsTelephone(String emsTelephone) {
		this.emsTelephone = emsTelephone;
	}
	
}
